# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft and contributors.  All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class WnsCredentialProperties(Model):
    """
    Description of a NotificationHub WnsCredential.

    :param package_sid: Gets or sets the package ID for this credential.
    :type package_sid: str
    :param secret_key: Gets or sets the secret key.
    :type secret_key: str
    :param windows_live_endpoint: Gets or sets the Windows Live endpoint.
    :type windows_live_endpoint: str
    """ 

    _attribute_map = {
        'package_sid': {'key': 'packageSid', 'type': 'str'},
        'secret_key': {'key': 'secretKey', 'type': 'str'},
        'windows_live_endpoint': {'key': 'windowsLiveEndpoint', 'type': 'str'},
    }

    def __init__(self, package_sid=None, secret_key=None, windows_live_endpoint=None, **kwargs):
        self.package_sid = package_sid
        self.secret_key = secret_key
        self.windows_live_endpoint = windows_live_endpoint
